Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I recently updated my Window's wamp version to the latest (64bits & PHP 5.4). It works fine. But then i tried to install the PHP 5.3.1 extension. When i try to use it, Wamp stops on orange and never starts. PHP 5.4 works just fine. This is the first time I try a dual version setup with Wamp. Any thoughts?

share|improve this question

migrated from stackoverflow.com Feb 7 '13 at 12:58

This question came from our site for professional and enthusiast programmers.

    
Have you cheked if the event-viewer reports anything? –  xstnc Feb 7 '13 at 13:01
    
Didn't even know about this program! The error is this: The Apache service named reported the following error: >>> httpd.exe: Syntax error on line 127 of C:/Program Files/wamp/bin/apache/apache2.2.22/conf/httpd.conf: Cannot load C:/Program Files/wamp/bin/php/php5.3.1/php5apache2_2.dll into server: The Apache service named n\xe3o \xe9 um aplicativo Win32 v\xe1lido. . –  hugo_leonardo Feb 7 '13 at 13:07
    
Does the .dll file exist in the path given? Are there alternatives to that dll files? Have you tried editing the httpd.conf? –  xstnc Feb 13 '13 at 11:17
    
There is probably a dependency issue in the dll's for 5.3.1 vs 5.4. I would stick with 5.4 unless it's absolutely necessary. –  Matt Voboril Apr 3 at 15:15

1 Answer 1

If you are using Skype, change the configuration. It seems that Skype also uses the port 80.

share|improve this answer
    
Welcome to SuperUser! It would be helpful if you included some instructions for which settings in Skype to change and how to do it. Complete answers are more likely to be useful and less likely to be downvoted. –  Excellll Apr 3 at 21:24

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.